Subject: Timeout

From: [email-masked] (Thorsten Frigger)
Date: Tue, 26 Oct 1993 18:51:06 +0000 ()

Hi there!

We have a small problem:

This morning someone sent a query to Postgres, which took >1min to process.
Another process using the same database was killed because Postgres
suspected a deadlock (there wasn't one, our system is a bit slow sometimes).
Is there a way to tell Postgres to wait longer before quitting?

I "fixed" the problem by re-compiling with the timeout in src/..../proc.c
changed to 10 minutes but this is of course no solution.

Any suggestions?

Thanks in advance.

-- 
Thorsten Frigger      | "America is the only country that went from barbarism
[email-masked] | to decadence without civilization in between."
                                                               OSCAR WILDE